com.fasterxml.jackson.databind.annotation

## Annotation Type EnumNaming

    @Target(value={ANNOTATION_TYPE,TYPE})
     @Retention(value=RUNTIME)
    public @interface EnumNaming

Annotation that can be used to indicate a `EnumNamingStrategy` to use for annotated class.

Since:
  2.15

### Required Element Summary

Required Elements
`Class<? extends EnumNamingStrategy>` `value`

### Element Detail

#### value

    public abstract Class<? extends EnumNamingStrategy> value

Returns:
  Type of `EnumNamingStrategy` to use, if any. Default value of `EnumNamingStrategy.class` means "no strategy specified" (and may also be used for overriding to remove otherwise applicable naming strategy)
Since:
  2.15